/* variables ************************************************/
/* general ************************************************/
* {
  position: relative;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  -o-user-select: none;
  user-select: none;
}
html,
body {
  position: relative;
  width: 100%;
  height: 100%;
}
body {
  font-family: Helvetica, Tahoma, Arial, sans-serif;
  font-size: 12px;
}
a {
  color: inherit;
}
.full-stage {
  position: absolute;
  width: 100%;
  height: 100%;
  overflow: hidden;
  background-image: -webkit-gradient(radial, center center, 0, center center, 460, from(#ffffff), to(#a3a3a3));
  background-image: -webkit-radial-gradient(circle, #ffffff, #a3a3a3);
  background-image: -moz-radial-gradient(circle, #ffffff, #a3a3a3);
  background-image: radial-gradient(circle, #ffffff, #a3a3a3);
  background-repeat: no-repeat;
}
.full-stage-view {
  width: 100%;
  height: 100%;
}
.three-d-world {
  position: absolute;
  top: 50%;
  left: 50%;
  /*transform-style: preserve-3d;*/
  font-size: 1.5em;
  -webkit-perspective: 215px;
  -moz-perspective: 215px;
  perspective: 215px;
}
.rc-menu {
  position: fixed;
  display: none;
}
.rc-menu .rc-menu-list {
  position: relative;
  padding: 1em;
  background: #dedede;
  border: #c0c0c0 solid 1px;
}
.rc-menu.open {
  display: block;
}
/* side bar ************************************************/
.side-bar {
  position: absolute;
  top: 0;
  left: 0;
  z-index: 999;
}
.side-bar-link {
  display: block;
  color: #000;
}
.side-bar-icon {
  display: block;
  padding: 8px;
  cursor: pointer;
  z-index: 2;
  background: #000;
}
.side-bar-text {
  position: absolute;
  top: 5px;
  left: -110px;
  background: #dedede;
  display: block;
  width: 140px;
  padding: 4px;
  height: 23px;
  z-index: 1;
  color: #000;
  font-size: 12px;
  font-weight: bold;
}
.close-btn,
.open-btn {
  width: 100%;
  text-align: center;
  font-size: 1.5em;
  padding: 5px 0;
  cursor: pointer;
}
/* categories ************************************************/
.category-thumb {
  position: absolute;
  cursor: pointer;
}
.category-thumb img {
  position: relative;
  /*.opacity(0.87);*/
}
.category-name {
  z-index: 99;
  position: absolute;
  width: 600px;
  left: -300px;
  top: 100px;
  font-weight: bold;
  color: #fff;
  text-align: center;
  font-size: 1em;
}
.category-icon {
  z-index: 99;
  position: absolute;
  top: 0;
  left: 0;
  color: #fff;
}
/* projects-wrapper sides ************************************************/
.projects-wrapper-side {
  position: absolute;
  top: 0;
  z-index: 990;
  width: 15%;
  height: 100%;
}
.projects-wrapper-side.right {
  right: 0;
}
.projects-wrapper-side.left {
  left: 0;
}
/* projects thumbs ************************************************/
.project-thumb {
  position: absolute;
  cursor: pointer;
}
.project-thumb .visited-gray {
  content: "";
  position: absolute;
  background-color: #dedede;
  opacity: 0.75;
  filter: alpha(opacity=75);
  display: none;
}
.project-thumb .visited-gray.visited {
  display: block;
}
/* project ************************************************/
.project {
  width: 100%;
  height: 100%;
}
.project-credits {
  position: absolute;
  z-index: 99;
  left: 10px;
  bottom: -5px;
  -webkit-transform: rotate(-90deg);
  -ms-transform: rotate(-90deg);
  transform: rotate(-90deg);
  -webkit-transform-origin: 0 0 0;
  -moz-transform-origin: 0 0 0;
  -ms-transform-origin: 0 0 0;
  transform-origin: 0 0 0;
}
.project-credits .project-credits-item {
  color: inherit;
  text-decoration: inherit;
  padding: 10px 10px;
  display: inline;
}
.project-credits a.project-credits-item:hover {
  color: #4e85c6;
}
/* gallery full screen ************************************************/
.gallery-full-screen {
  height: 100%;
  width: 100%;
}
.gallery-full-screen:focus {
  outline: 0 none;
}
.gallery-full-screen .gallery-image {
  position: absolute;
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center center;
  height: 100%;
  width: 100%;
  /*visibility: hidden; opacity: 0;*/
  top: 0;
  left: 100%;
}
.gallery-arrows {
  position: absolute;
  z-index: 99999;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  -o-user-select: none;
  user-select: none;
  cursor: pointer;
}
.gallery-arrows .arrow {
  position: absolute;
  top: 17px;
  padding: 5px 10px;
  background: #000;
  left: 5px;
}
/* abouts ************************************************/
.abouts-wrapper {
  position: absolute;
  left: 50%;
}
.about-sqr {
  position: absolute;
  color: #fff;
  background: #000;
  cursor: pointer;
}
.about-sqr-name {
  position: absolute;
  bottom: 1em;
  left: 0;
  width: 100%;
  text-align: center;
}
/* article ************************************************/
.article {
  position: absolute;
  top: 0;
  left: 0;
  z-index: 9;
  width: 420px;
  height: 100%;
  padding: 220px 35px 50px 50px;
}
.article:before {
  position: absolute;
  top: 0;
  left: 0;
  content: '';
  width: 100%;
  height: 100%;
  background: #fff;
  opacity: 0.83;
}
.article .scroll-wrapper {
  position: relative;
  height: 100%;
  width: 100%;
}
.article .scroll-wrapper h1 {
  font-size: 2.5em;
  margin-bottom: 0.5em;
  direction: ltr;
}
.article .scroll-wrapper .article-text {
  direction: ltr;
}
.article .scroll-wrapper .article-text p {
  margin-bottom: 1em;
}
.contact-map {
  position: absolute;
  width: 100%;
  height: 100%;
}
/* forms ************************************************/
label {
  display: none;
  margin-bottom: 5px;
  font-weight: bold;
}
.form-control:-moz-placeholder {
  color: #999999;
  opacity: 1;
}
.form-control::-moz-placeholder {
  color: #999999;
  opacity: 1;
}
.form-control:-ms-input-placeholder {
  color: #999999;
  filter: alpha(opacity=100);
}
.form-control::-webkit-input-placeholder {
  color: #999999;
  opacity: 1;
}
.form-control {
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
  display: block;
  width: 100%;
  padding: 2px 6px;
  font-size: 12px;
  color: #000;
  vertical-align: middle;
  background-color: transparent;
  background-image: none;
  border: 1px solid #000;
}
.form-control:focus {
  background-color: #fff;
  outline: 0;
}
.form-control.error {
  background-color: #f00;
}
.form-group {
  margin-bottom: 15px;
}
.btn {
  float: right;
  display: inline-block;
  margin-bottom: 0;
  text-align: center;
  vertical-align: middle;
  cursor: pointer;
  background-image: none;
  border: 1px solid #000;
  white-space: nowrap;
  padding: 2px 6px;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  -o-user-select: none;
  user-select: none;
}
.btn:hover,
.btn:focus {
  background-color: #fff;
  text-decoration: none;
}
.btn:active,
.btn.active {
  outline: 0;
}
.btn.disabled,
.btn[disabled],
fieldset[disabled] .btn {
  cursor: not-allowed;
  pointer-events: none;
  opacity: 0.65;
  filter: alpha(opacity=65);
}
/* helpers ************************************************/
.category-thumb .mover {
  visibility: hidden;
}
.category-thumb .zoomPlus,
.category-thumb .zoomMinus,
.category-thumb .moveMe {
  position: absolute;
  z-index: 999999;
  background: #000;
  color: #fff;
  font-weight: bold;
  cursor: pointer;
  padding: 0 5px;
}
.category-thumb .zoomPlus {
  top: -330px;
  left: 20px;
}
.category-thumb .zoomMinus {
  top: -330px;
  left: -20px;
}
.category-thumb .moveMe {
  top: 0px;
  left: 0px;
}
/* Footer ************************************************/
footer {
  position: absolute;
  bottom: 0;
  right: 0;
}
.credits {
  position: absolute;
  right: 10px;
  bottom: 10px;
  width: 200px;
  direction: rtl;
  text-align: center;
  color: #777;
  font-size: 0.92em;
}
.credits a {
  color: inherit;
  text-decoration: none;
}
.credits a:hover {
  color: #333;
}
/*
.credits {
	position: absolute; right: 10px; bottom: 10px;
	direction: rtl; text-align: right; color: #777; font-size: 0.94em;
	a { color: inherit; text-decoration: none;
		&:hover { color: #333; }
	}
}

*/
/*************************************************/
/******************* MIXIN ***********************/
/*************************************************/
